Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 74077 - RFE: neat does not set GATEWAYDEV
Summary: RFE: neat does not set GATEWAYDEV
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2002-09-14 23:12 UTC by Gene Czarcinski
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-05 08:33:54 UTC


Attachments (Terms of Use)

Description Gene Czarcinski 2002-09-14 23:12:16 UTC
Description of Problem:

redhat-config-network has no way to specify using GATEWAYDEV=ethX in
/etc/sysconfig/network and thus the default route will be set to the "last"
interface initialized.

Current solution to to recognize the problem and hand-edit /etc/sysconfig/network.

Version-Release number of selected component (if applicable):
8.0

Comment 1 Gene Czarcinski 2002-09-21 20:16:46 UTC
I suspect that the right answer to this problem is to modify
redhat-config-network so that it can set the GATWAYDEV= value in the
/etc/sysconfig/network file.  I seem to remember that previous versions of Red
Hat network configuration tools had this capability.

Comment 2 Harald Hoyer 2003-03-31 11:06:58 UTC
well, what do you expect? if you have multiple Default Gateways, you get
multiple default gw routes...


Note You need to log in before you can comment on or make changes to this bug.